# uiCreateNode

Creation of node (for Scilab uitree)

## Calling Sequence

    myNode = uiCreateNode(label[, icon[, callback]])

## Input parameters

label

  a string matrix which gives the label of the nodes.

icon (optional)

  a string matrix which gives the icon image of the nodes.

callback (optional)

  a string matrix which gives the callback instruction of the nodes.

## Output parameters

myNode

  a node of type uitree

## Description

Creates a node(a node or a leaf) of type uitree.

## Examples

    leaf11 = uiCreateNode('leaf 1.1', 'iconLeaf1.1', 'callbackLeaf1.1')
    leaf12 = uiCreateNode('leaf 1.2', 'iconLeaf1.2', 'callbackLeaf1.2')
    leaf31 = uiCreateNode('leaf 3.1', 'iconLeaf3.1', 'callbackLeaf3.1')
    leaf32 = uiCreateNode('leaf 3.2', 'iconLeaf3.2', 'callbackLeaf3.2')
    node1 = uiCreateNode('Node 1', 'iconNode1', 'callbackNode1')
    node2 = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')
    node3 = uiCreateNode('Node 3', 'iconNode3', 'callbackNode3')
    root = uiCreateNode('Root', 'iconRoot', 'callbackRoot')

## See Also

- uiCreateTree
- uiDisplayTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiConcatTree
- uiEqualsTree
- uiFindNode
- uiGetParentNode
- uiGetChildrenNode
- uiGetNodePosition